%define python3_pkgversion 39
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name python3-openid

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.2.0
Release:        1.0.2%{?dist}
Summary:        OpenID support for modern servers and consumers

License:        None
URL:            http://github.com/necaris/python3-openid
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-defusedxml


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}
# Add 3rd party licenses
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE THIRD_PARTY_LICENSES
%doc README.md
%{python3_sitelib}/openid
%{python3_sitelib}/python3_openid-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jul 24 2023 Lans Hung <lans.hung@oracle.com> - 3.2.0-1.0.2
- Add 3rd party licenses

* Fri Jan 27 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.2.0-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Mon Sep 13 2021 Evgeni Golov - 3.2.0-1
- Initial package.
